> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Mfa Status



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /auth/mfa/status
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /auth/mfa/status:
    get:
      tags:
        - auth
      summary: Get Mfa Status
      operationId: auth-get_mfa_status
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MfaStatusRead'
components:
  schemas:
    MfaStatusRead:
      properties:
        state:
          $ref: '#/components/schemas/SessionMfaState'
        has_credentials:
          type: boolean
          title: Has Credentials
        required_by_policy:
          type: boolean
          title: Required By Policy
        webauthn_available:
          type: boolean
          title: Webauthn Available
        webauthn_unavailable_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Webauthn Unavailable Reason
        recovery_codes_remaining:
          type: integer
          title: Recovery Codes Remaining
        step_up_expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Step Up Expires At
          description: When the current step-up verification stops satisfying checks.
      type: object
      required:
        - state
        - has_credentials
        - required_by_policy
        - webauthn_available
        - recovery_codes_remaining
      title: MfaStatusRead
    SessionMfaState:
      type: string
      enum:
        - not_required
        - verified
        - challenge_required
        - enrollment_required
      title: SessionMfaState

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.